package main

import (
	"flag"
	"gitdxz.51daxuetong.cn/go_dev/bids_rpcx/config"
	"gitdxz.51daxuetong.cn/go_dev/bids_rpcx/service"
	"github.com/smallnest/rpcx/server"
)

var (
	addr = flag.String("addr", "127.0.0.1:8972", "server address")
)

func main() {
	flag.Parse()
	config.Init()
	//fmt.Println(config.GetConfig().All())
	s := server.NewServer()
	s.Register(new(service.BidsSvc), "")
	//s.Register(new(Bids), "")
	err := s.Serve("tcp", *addr)
	if err != nil {
		panic(err)
	}
}
